Get dataset statistics
curl --request GET \
--url https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"codebase_version": "<string>",
"total_recording_sec": 123,
"total_cameras": 123,
"camera_resolutions": [
"<string>"
],
"shortest_episode_frames": 123,
"longest_episode_frames": 123,
"shortest_episode_sec": 123,
"longest_episode_sec": 123,
"mean_episode_sec": 123,
"median_episode_sec": 123,
"std_episode_sec": 123,
"exact": true,
"sample_size": 123,
"histogram": [
{
"label": "<string>",
"count": 123
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalog
Get dataset statistics
GET
/
api
/
v1
/
catalog
/
datasets
/
{dataset_id}
/
statistics
Get dataset statistics
curl --request GET \
--url https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/catalog/datasets/{dataset_id}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"codebase_version": "<string>",
"total_recording_sec": 123,
"total_cameras": 123,
"camera_resolutions": [
"<string>"
],
"shortest_episode_frames": 123,
"longest_episode_frames": 123,
"shortest_episode_sec": 123,
"longest_episode_sec": 123,
"mean_episode_sec": 123,
"median_episode_sec": 123,
"std_episode_sec": 123,
"exact": true,
"sample_size": 123,
"histogram": [
{
"label": "<string>",
"count": 123
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}⌘I

